Permalink
Browse files

Updated Rakefile to list dependencies and requirements.

  • Loading branch information...
1 parent 126aa39 commit af9014b66b99228fcd64e3c6a119ee4bbb1712ce @jacius jacius committed Jun 14, 2009
Showing with 9 additions and 0 deletions.
  1. +9 −0 Rakefile
View
@@ -118,6 +118,15 @@ gem_spec = Gem::Specification.new do |s|
fl.include "doc/*.rdoc"
fl.include "README", "LICENSE", "CREDITS", "ROADMAP", "NEWS"
end
+
+ s.required_ruby_version = ">= 1.8"
+ s.add_dependency( "rake", ">=0.7.0" )
+ s.requirements = ["SDL >= 1.2.7",
+ "SDL_gfx >= 2.0.10 (optional)",
+ "SDL_image >= 1.2.3 (optional)",
+ "SDL_mixer >= 1.2.7 (optional)",
+ "SDL_ttf >= 2.0.6 (optional)"]
+
end
task :binary do

0 comments on commit af9014b

Please sign in to comment.